Package org.kapott.hbci.GV_Result

# Class GVRInfoList.Info

java.lang.Object
org.kapott.hbci.GV_Result.GVRInfoList.Info

Enclosing class:
  `GVRInfoList`

public static final class GVRInfoList.Info extends Object
Daten über eine einzelne verfügbare Information

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`code`
Identifikationscode, mit der diese Information referenziert werden kann
`String[]`
`comment`
Kommentare zu dieser Information.
`Date`
`date`
Version dieser Information (optional)
`String`
`description`
Beschreibung des Inhalts dieser Information
`String`
`format`
`String`
`type`
Art der Information.

## Constructor Summary

Constructors
Constructor
Description
`Info()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addComment(String st)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### code

public String code
Identifikationscode, mit der diese Information referenziert werden kann

### description

public String description
Beschreibung des Inhalts dieser Information

### type

public String type
Art der Information.

- F für Freitextmeldung (siehe `GVRInfoOrder`)
- S es handelt sich um ein Schriftdokument, welches bestellt werden kann
- T für Themenüberschrift

### format

public String format

### date

public Date date
Version dieser Information (optional)

### comment

public String[] comment
Kommentare zu dieser Information. Dieses Array ist niemals `null`, kann aber die Länge `0` haben.

## Constructor Details

### Info

public Info()

## Method Details

### addComment

public void addComment(String st)

### toString

public String toString()

Overrides:
  `toString` in class `Object`